> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Group Manager

Managers can add/remove group members and edit group settings. The group creator is automatically assigned as the first manager.


## OpenAPI

````yaml openapi.json PUT /groups/{group_id}/managers/{member_id}
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /groups/{group_id}/managers/{member_id}:
    put:
      tags:
        - Groups
      summary: Add Group Manager
      operationId: groups_managers_upsert
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: member_id
          required: true
          schema:
            title: Member Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessGroupManager'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AccessGroupManager:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Creation timestamp.
          title: Created At
        group_id:
          description: Access group id.
          title: Group Id
          type: string
        id:
          description: Group manager row id.
          title: Id
          type: string
        member_id:
          description: WorkOS member id.
          title: Member Id
          type: string
      required:
        - id
        - group_id
        - member_id
      title: AccessGroupManager
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````